/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Mar 29 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of ssdt5.dat, Sat Nov 21 16:17:05 2015
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x000003BC (956)
 *     Revision         0x01
 *     Checksum         0x1D
 *     OEM ID           "PmRef"
 *     OEM Table ID     "Cpu0Ist"
 *     OEM Revision     0x00003000 (12288)
 *     Compiler ID      "INTL"
 *     Compiler Version 0x20061109 (537268489)
 */
DefinitionBlock ("ssdt5.aml", "SSDT", 1, "PmRef", "Cpu0Ist", 0x00003000)
{

    External (_PR_.CPU0, DeviceObj)
    External (CFGD)
    External (NPSS, IntObj)
    External (PDC0)

    Scope (\_PR.CPU0)
    {
        Name (_PPC, Zero)  // _PPC: Performance Present Capabilites
        Method (_PCT, 0, NotSerialized)  // _PCT: Performance Control
        {
            If (LAnd (And (CFGD, One), And (PDC0, One)))
            {
                Return (Package (0x02)
                {
                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x00,               // Bit Width
                            0x00,               // Bit Offset
                            0x0000000000000000, // Address
                            ,)
                    }, 

                    ResourceTemplate ()
                    {
                        Register (FFixedHW, 
                            0x00,               // Bit Width
                            0x00,               // Bit Offset
                            0x0000000000000000, // Address
                            ,)
                    }
                })
            }

            Return (Package (0x02)
            {
                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }, 

                ResourceTemplate ()
                {
                    Register (FFixedHW, 
                        0x00,               // Bit Width
                        0x00,               // Bit Offset
                        0x0000000000000000, // Address
                        ,)
                }
            })
        }

        Method (XPSS, 0, NotSerialized)
        {
            If (And (PDC0, One))
            {
                Return (NPSS)
            }

            Return (SPSS)
        }

        Name (SPSS, Package (0x0A)
        {
            Package (0x06)
            {
                0x000007C9, 
                0x000007D0, 
                0x0000006E, 
                0x0000000A, 
                0x00000083, 
                0x00000000
            }, 

            Package (0x06)
            {
                0x000007C8, 
                0x000007D0, 
                0x0000006E, 
                0x0000000A, 
                0x00000183, 
                0x00000001
            }, 

            Package (0x06)
            {
                0x00000775, 
                0x00000721, 
                0x0000006E, 
                0x0000000A, 
                0x00000283, 
                0x00000002
            }, 

            Package (0x06)
            {
                0x00000722, 
                0x00000672, 
                0x0000006E, 
                0x0000000A, 
                0x00000383, 
                0x00000003
            }, 

            Package (0x06)
            {
                0x000006CF, 
                0x000005C3, 
                0x0000006E, 
                0x0000000A, 
                0x00000483, 
                0x00000004
            }, 

            Package (0x06)
            {
                0x0000067C, 
                0x00000514, 
                0x0000006E, 
                0x0000000A, 
                0x00000583, 
                0x00000005
            }, 

            Package (0x06)
            {
                0x00000629, 
                0x00000465, 
                0x0000006E, 
                0x0000000A, 
                0x00000683, 
                0x00000006
            }, 

            Package (0x06)
            {
                0x000005D6, 
                0x000003B6, 
                0x0000006E, 
                0x0000000A, 
                0x00000783, 
                0x00000007
            }, 

            Package (0x06)
            {
                0x00000583, 
                0x00000307, 
                0x0000006E, 
                0x0000000A, 
                0x00000883, 
                0x00000008
            }, 

            Package (0x06)
            {
                0x00000530, 
                0x00000258, 
                0x0000006E, 
                0x0000000A, 
                0x00000983, 
                0x00000009
            }
        })
        Name (_PSS, Package (0x0A)  // _PSS: Performance Supported States
        {
            Package (0x06)
            {
                0x000007C9, 
                0x000007D0, 
                0x0000000A, 
                0x0000000A, 
                0x00001D47, 
                0x00001D47
            }, 

            Package (0x06)
            {
                0x000007C8, 
                0x000007D0, 
                0x0000000A, 
                0x0000000A, 
                0x0000183D, 
                0x0000183D
            }, 

            Package (0x06)
            {
                0x00000775, 
                0x00000721, 
                0x0000000A, 
                0x0000000A, 
                0x0000173C, 
                0x0000173C
            }, 

            Package (0x06)
            {
                0x00000722, 
                0x00000672, 
                0x0000000A, 
                0x0000000A, 
                0x0000163A, 
                0x0000163A
            }, 

            Package (0x06)
            {
                0x000006CF, 
                0x000005C3, 
                0x0000000A, 
                0x0000000A, 
                0x00001538, 
                0x00001538
            }, 

            Package (0x06)
            {
                0x0000067C, 
                0x00000514, 
                0x0000000A, 
                0x0000000A, 
                0x00001436, 
                0x00001436
            }, 

            Package (0x06)
            {
                0x00000629, 
                0x00000465, 
                0x0000000A, 
                0x0000000A, 
                0x00001335, 
                0x00001335
            }, 

            Package (0x06)
            {
                0x000005D6, 
                0x000003B6, 
                0x0000000A, 
                0x0000000A, 
                0x00001233, 
                0x00001233
            }, 

            Package (0x06)
            {
                0x00000583, 
                0x00000307, 
                0x0000000A, 
                0x0000000A, 
                0x00001131, 
                0x00001131
            }, 

            Package (0x06)
            {
                0x00000530, 
                0x00000258, 
                0x0000000A, 
                0x0000000A, 
                0x0000102F, 
                0x0000102F
            }
        })
        Method (_PSD, 0, NotSerialized)  // _PSD: Power State Dependencies
        {
            If (And (CFGD, 0x01000000))
            {
                If (And (CFGD, 0x00800000))
                {
                    Return (Package (0x01)
                    {
                        Package (0x05)
                        {
                            0x05, 
                            Zero, 
                            Zero, 
                            0xFC, 
                            0x04
                        }
                    })
                }
                Else
                {
                    Return (Package (0x01)
                    {
                        Package (0x05)
                        {
                            0x05, 
                            Zero, 
                            Zero, 
                            0xFE, 
                            0x02
                        }
                    })
                }
            }

            Return (Package (0x01)
            {
                Package (0x05)
                {
                    0x05, 
                    Zero, 
                    Zero, 
                    0xFC, 
                    One
                }
            })
        }
    }
}

